[arch-commits] Commit in vim-guicolorscheme/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Dan McGee dan at archlinux.org
Sun May 31 12:52:26 EDT 2009


    Date: Sunday, May 31, 2009 @ 12:52:26
  Author: dan
Revision: 40816

Merged revisions 356,40815 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/vim-guicolorscheme/trunk

........
  r356 | aaron | 2008-04-18 17:56:27 -0500 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r40815 | dan | 2009-05-31 11:52:20 -0500 (Sun, 31 May 2009) | 2 lines
  
  upgpkg: vim-guicolorscheme 1.2-1
      rebuilds for plugin location move
........

Modified:
  vim-guicolorscheme/repos/extra-x86_64/	(properties)
  vim-guicolorscheme/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)


Property changes on: vim-guicolorscheme/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /vim-guicolorscheme/trunk:1
   + /vim-guicolorscheme/trunk:1-40815

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-31 16:52:20 UTC (rev 40815)
+++ extra-x86_64/PKGBUILD	2009-05-31 16:52:26 UTC (rev 40816)
@@ -2,8 +2,8 @@
 # Maintainer : Aaron Griffin <aaron at archlinux.org>
 
 pkgname=vim-guicolorscheme
-pkgver=1.1
-_scriptid=7973
+pkgver=1.2
+_scriptid=10162
 pkgrel=1
 pkgdesc="auto convert gui-only colorschemes to 88/256 color terminal schemes"
 arch=(i686 x86_64)
@@ -12,13 +12,14 @@
 license=('GPL')
 groups=('vim-plugins')
 source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid)
-md5sums=('6c02b3db8fef7a55177d234d2bba5b1d')
+md5sums=('6b2cac00ab870106c3c1c5409d799ffa')
+sha256sums=('a30e0c06617def9753a086b80c4c32bfe8fa2fbcd47a8bfc9cb1d9e2e87a4aba')
 
-build()
-{
-  cd $startdir/src
+build() {
+  cd $srcdir
   mv download_script.php?src_id=$_scriptid guicolorscheme.vim
 
-  mkdir -p $startdir/pkg/usr/share/vim/plugin
-  install -m644 guicolorscheme.vim $startdir/pkg/usr/share/vim/plugin/
+  installpath="$pkgdir/usr/share/vim/vim72"
+
+  install -D -m644 guicolorscheme.vim $installpath/plugin/guicolorscheme.vim || return 1
 }



More information about the arch-commits mailing list